<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-broadcast-channel](./foundation-broadcast-channel.md) &gt; [TypedBroadcastChannel](./foundation-broadcast-channel.typedbroadcastchannel.md)

## TypedBroadcastChannel interface

A TypedBroadcastChannel for sending and receiving typed messages based on  input.

**Signature:**

```typescript
export interface TypedBroadcastChannel<TEventDetailMap extends EventDetailMap> extends Omit<BroadcastChannel, 'postMessage' | 'onmessage' | 'onmessageerror'> 
```
**Extends:** Omit&lt;BroadcastChannel, 'postMessage' \| 'onmessage' \| 'onmessageerror'&gt;

## Example


```ts
export type GenesisResourcesEvents = {
  'resources-loaded': ResourceItem[];
  'resources-unloaded': void;
};
...
protected channel: TypedBroadcastChannel<GenesisResourcesEvents>;
```
See the [registerTypedBroadcastChannel](./foundation-broadcast-channel.registertypedbroadcastchannel.md) and [createTypedBroadcastChannel](./foundation-broadcast-channel.createtypedbroadcastchannel.md) APIs below.

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [onmessage](./foundation-broadcast-channel.typedbroadcastchannel.onmessage.md) |  | OnMessage&lt;TEventDetailMap&gt; | On message handler. |
|  [onmessageerror](./foundation-broadcast-channel.typedbroadcastchannel.onmessageerror.md) |  | OnMessageError&lt;TEventDetailMap&gt; |  |
|  [postMessage](./foundation-broadcast-channel.typedbroadcastchannel.postmessage.md) |  | PostMessage&lt;TEventDetailMap&gt; | Post strongly typed messages. |

## Methods

|  Method | Description |
|  --- | --- |
|  [isMessageType(type, event)](./foundation-broadcast-channel.typedbroadcastchannel.ismessagetype.md) | A type predicate function to narrow down message events based on their 'type' property. |

